Package com.independentsoft.office.spreadsheet

# Class CellPosition

java.lang.Object
com.independentsoft.office.spreadsheet.CellPosition

public class CellPosition extends Object
The Class CellPosition.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CellPosition()`
  Instantiates a new cell position.
  `CellPosition​(int column, int row)`
  Instantiates a new cell position.
  `CellPosition​(String position)`
  Instantiates a new cell position.
  `CellPosition​(String column, int row)`
  Instantiates a new cell position.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CellPosition`
  `clone()`
  `int`
  `getColumn()`
  Gets the column.
  `int`
  `getRow()`
  Gets the row.
  `void`
  `setColumn​(int column)`
  Sets the column.
  `void`
  `setRow​(int row)`
  Sets the row.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CellPosition

    public CellPosition()
    Instantiates a new cell position.

  - ### CellPosition

    public CellPosition​(String position)
    Instantiates a new cell position.
    Parameters:
      `position` - the position

  - ### CellPosition

    public CellPosition​(int column, int row)
    Instantiates a new cell position.
    Parameters:
      `column` - the column
      `row` - the row

  - ### CellPosition

    public CellPosition​(String column, int row)
    Instantiates a new cell position.
    Parameters:
      `column` - the column
      `row` - the row

- ## Method Details

  - ### clone

    public CellPosition clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getColumn

    public int getColumn()
    Gets the column.
    Returns:
      the column

  - ### setColumn

    public void setColumn​(int column)
    Sets the column.
    Parameters:
      `column` - the new column

  - ### getRow

    public int getRow()
    Gets the row.
    Returns:
      the row

  - ### setRow

    public void setRow​(int row)
    Sets the row.
    Parameters:
      `row` - the new row